mod globaldata;
mod gpustate;
mod pipeline;
mod rawtexture;
mod texturearray;
mod vertexbuffer;

pub use gpustate::GPUState;
pub use texturearray::Texture;

// API correction matrix.
// cgmath uses OpenGL's matrix format, which
// needs to be converted to wgpu's matrix format.
/*
#[rustfmt::skip]
const OPENGL_TO_WGPU_MATRIX: Matrix4<f32> = Matrix4::new(
	1.0, 0.0, 0.0, 0.0,
	0.0, 1.0, 0.0, 0.0,
	0.0, 0.0, 0.5, 0.5,
	0.0, 0.0, 0.0, 1.0,
);
*/
